<template>
    <section class="slider">
        <div class="container">
            <div class="slider__inner">
                <svg class="slider__prevButton slider__button swiper-button-prev noMobile" width="14" height="16" viewBox="0 0 14 16" fill="none" xmlns="http://www.w3.org/2000/svg" tabIndex="0" role="button" aria-label="Previous slide" aria-controls="swiper-wrapper-6b22ad9ef58ba502">
                    <path d="M0.292893 7.29289C-0.0976315 7.68342 -0.0976315 8.31658 0.292893 8.70711L6.65685 15.0711C7.04738 15.4616 7.68054 15.4616 8.07107 15.0711C8.46159 14.6805 8.46159 14.0474 8.07107 13.6569L2.41421 8L8.07107 2.34315C8.46159 1.95262 8.46159 1.31946 8.07107 0.928932C7.68054 0.538408 7.04738 0.538408 6.65685 0.928932L0.292893 7.29289ZM14 7L1 7V9L14 9V7Z" fill="#414141" data-darkreader-inline-fill="" style="--darkreader-inline-fill: #bfb9b1;"></path>
                </svg>
                <swiper-container class="slider__content-wrapper swiper"
                                  :spaceBetween="10"
                                  :loop="true"
                                  :navigation=" {
                            nextEl: '.slider__nextButton',
                            prevEl: '.slider__prevButton',
                        }"
                                  :pagination=" {
                            el: '.slider__pagination',
                            clickable: true,
                        }">

                    <swiper-slide v-for="(slider) in sliders" :key="sliders.id" class="slider__slide swiper-slide">
                        <svg class="slider__circle slider__slide-circle--right mobile" width="136" height="271" viewbox="0 0 136 271" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M135.5 -5.92289e-06C117.706 -5.14509e-06 100.086 3.50482 83.6464 10.3143C67.2068 17.1238 52.2694 27.1047 39.687 39.687C27.1047 52.2694 17.1238 67.2068 10.3143 83.6464C3.5048 100.086 -7.4785e-06 117.706 -5.92289e-06 135.5C-4.36728e-06 153.294 3.50481 170.914 10.3143 187.354C17.1238 203.793 27.1047 218.731 39.687 231.313C52.2694 243.895 67.2068 253.876 83.6464 260.686C100.086 267.495 117.706 271 135.5 271L135.5 135.5L135.5 -5.92289e-06Z" fill="#EFEFEF"></path>
                        </svg>
                        <svg class="slider__circle slider__slide-circle--left mobile" width="92" height="185" viewbox="0 0 92 185" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M-4.57213e-07 185C12.0816 185 24.0449 182.607 35.2069 177.959C46.3688 173.31 56.5108 166.497 65.0538 157.907C73.5968 149.318 80.3735 139.121 84.9969 127.898C89.6203 116.676 92 104.647 92 92.5C92 80.3527 89.6203 68.3244 84.9969 57.1018C80.3735 45.8792 73.5968 35.682 65.0538 27.0926C56.5108 18.5032 46.3688 11.6897 35.2069 7.04114C24.0449 2.39258 12.0816 -4.55529e-06 0 -4.02145e-06L3.58609e-06 92.5L-4.57213e-07 185Z" fill="#EFEFEF"></path>
                        </svg>
                        <div class="slider__slide-left">
                            <img class="slider__slide-img" :src="slider.image" alt="">
                            <svg class="slider__circle slider__slide-left--circle noMobile" width="271" height="136" viewbox="0 0 271 136" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M271 135.5C271 117.706 267.495 100.086 260.686 83.6464C253.876 67.2068 243.895 52.2694 231.313 39.687C218.731 27.1047 203.793 17.1238 187.354 10.3143C170.914 3.50481 153.294 -7.77805e-07 135.5 0C117.706 7.77806e-07 100.086 3.50481 83.6464 10.3143C67.2068 17.1238 52.2694 27.1047 39.687 39.687C27.1047 52.2694 17.1238 67.2068 10.3143 83.6464C3.50481 100.086 -1.55561e-06 117.706 0 135.5L135.5 135.5H271Z" fill="#EFEFEF"></path>
                            </svg>
                        </div>
                        <div class="slider__slide-right">
                            <p v-if="slider.title" class="slider__slide-title">{{ slider.title }}</p>
                            <Link v-if="slider.url" class="slider__slide-button" :href="slider.url">Подробнее</Link>
                            <img class="slider__slide-chest noMobile" src="/img/slider/chest.png" alt="">
                            <img class="slider__slide-glass noMobile" src="/img/slider/glasses.png" alt="">
                            <img class="slider__slide-mine noMobile" src="/img/slider/mine.svg" alt="">
                            <svg class="slider__slide-right--topCircle slider__circle noMobile" width="180" height="90" viewbox="0 0 180 90" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M-7.39074e-06 -8.10671e-06C-8.42399e-06 11.819 2.3279 23.5222 6.85083 34.4415C11.3738 45.3608 18.0031 55.2823 26.3604 63.6396C34.7177 71.9969 44.6392 78.6262 55.5585 83.1491C66.4778 87.6721 78.181 90 90 90C101.819 90 113.522 87.6721 124.442 83.1492C135.361 78.6262 145.282 71.9969 153.64 63.6396C161.997 55.2823 168.626 45.3608 173.149 34.4415C177.672 23.5222 180 11.819 180 0L90 -2.38656e-07L-7.39074e-06 -8.10671e-06Z" fill="#EFEFEF"></path>
                            </svg>
                            <svg class="slider__slide-right--bottomCircle slider__circle noMobile" width="271" height="136" viewbox="0 0 271 136" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M271 135.5C271 117.706 267.495 100.086 260.686 83.6464C253.876 67.2068 243.895 52.2694 231.313 39.687C218.731 27.1047 203.793 17.1238 187.354 10.3143C170.914 3.50481 153.294 -7.77805e-07 135.5 0C117.706 7.77806e-07 100.086 3.50481 83.6464 10.3143C67.2068 17.1238 52.2694 27.1047 39.687 39.687C27.1047 52.2694 17.1238 67.2068 10.3143 83.6464C3.50481 100.086 -1.55561e-06 117.706 0 135.5L135.5 135.5H271Z" fill="#EFEFEF"></path>
                            </svg>
                        </div>
                    </swiper-slide>

                </swiper-container>
                <svg class="slider__nextButton slider__button swiper-button-next noMobile" width="14" height="16" viewBox="0 0 14 16" fill="none" xmlns="http://www.w3.org/2000/svg" tabIndex="0" role="button" aria-label="Next slide" aria-controls="swiper-wrapper-6b22ad9ef58ba502">
                    <path d="M13.7071 8.70711C14.0976 8.31658 14.0976 7.68342 13.7071 7.29289L7.34315 0.928933C6.95262 0.538408 6.31946 0.538408 5.92893 0.928933C5.53841 1.31946 5.53841 1.95262 5.92893 2.34315L11.5858 8L5.92893 13.6569C5.53841 14.0474 5.53841 14.6805 5.92893 15.0711C6.31946 15.4616 6.95262 15.4616 7.34315 15.0711L13.7071 8.70711ZM-8.74228e-08 9L13 9L13 7L8.74228e-08 7L-8.74228e-08 9Z" fill="#414141" data-darkreader-inline-fill="" style="--darkreader-inline-fill: #bfb9b1;"></path>
                </svg>
                <div class="slider__pagination swiper-pagination"></div>
            </div>
        </div>
    </section>
</template>

<script setup>
import { register } from 'swiper/element/bundle';
import {Link} from "@inertiajs/vue3";

register();

defineProps({
    sliders:Object
})
</script>
